CONVERGE_KPOINTS(1)

NAME
converge_kpoints - repeat VASP jobs until kpoint convergence

DESCRIPTION
usage: converge_kpoints [-h] [-c [COMMAND]] [-i [{linear,inc}]]

    [-m [MAX_STEPS]] [-t [TARGET]]

converge_kpoints perform a KPOINTS convergence. What this script will do is to run a particular VASP run with increasing multiples of the initial KPOINT grid until a target convergence in energy per atom is reached. For example, let's say you have vasp input files that has a k-point grid of 1x1x1. This script will perform sequence jobs with k-point grids of 1x1x1, 2x2x2, 3x3x3, 4x4x4, ... until convergence is achieved. The default convergence criteria is 1meV/atom, but this can be set using the --target option.

  options:

-h, --help
    show this help message and exit

-c [COMMAND], --command [COMMAND]
    VASP command. Defaults to pvasp. If you are using mpirun, set this to something like 'mpirun pvasp'.

-i [{linear,inc}], --increment_mode [{linear,inc}]
    Mode for increasing kpoints. In linear mode, multiples of the existing kpoints are done. E.g., 2x4x2 -> 4x8x4 -> 6x12x6. In inc mode, all KPOINTS are incremented by 1 at each stage, i.e., 2x4x2 -> 3x5x3 ->4x6x4. Note that the latter mode does not preserve KPOINTS symmetry, though it is probably less expensive.

-m [MAX_STEPS], --max_steps [MAX_STEPS]
    The maximum number of KPOINTS increment steps. This puts an upper bound on the largest KPOINT converge grid attempted.

-t [TARGET], --target [TARGET]
    The target converge in energy per atom to achieve convergence. E.g., 1e-3 means the KPOINTS will be increased until a converged of 1meV is reached.

Author: Shyue Ping Ong